PHP Handbuch
Zurück |  | Weiter

# DOMElement->setAttributeNode()

(no version information, might be only in CVS)

DOMElement->setAttributeNode() -- Adds new attribute node to element

## Beschreibung

class DOMElement {
DOMAttr setAttributeNode ( DOMAttr attr )
}

Adds new attribute node attr to element.

## Parameter Liste

attr

  The attribute node.

## Rückgabewerte

Returns old node if the attribute has been replaced or `NULL`.

## Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

## Siehe auch

DOMElement->hasAttribute()
DOMElement->getAttributeNode()
DOMElement->removeAttributeNode()

Zurück | Zum Anfang | Weiter
DOMElement->setAttribute() | Nach oben | DOMElement->setAttributeNodeNS()